#!/usr/local/bin/perl
use strict;
use XML::RSS;

my @quotes = (
  "1. Once you have their money ... never give it back.",
  "3. Never pay more for an acquisition than you have to.",
  "6. Never allow family to stand in the way of opportunity.",
  "7. Keep your ears open.",
  "8. Small print leads to large risk.",
  "9. Opportunity plus instinct equals profit.",
  "10. Greed is eternal.",
  "13. Anything worth doing is worth doing for money.",
  "16. A deal is a deal ... until a better one comes along.",
  "17. A contract is a contract is a contract (but only between Ferengi).",
  "18. A Ferengi without profit is no Ferengi at all.",
  "19. Satisfaction is not guaranteed.",
  "21. Never place friendship above profit.",
  "22. A wise man can hear profit in the wind.",
  "27. There's nothing more dangerous than an honest businessman.",
  "31. Never make fun of a Ferengi's mother ... insult something he cares about instead.",
  "33. It never hurts to suck up to the boss.",
  "34. Peace is good for business.",
  "35. War is good for business.",
  "40. She can touch your lobes but never your latinum.",
  "41. Profit is its own reward.",
  "44. Never confuse wisdom with luck.",
  "47. Don't trust a man wearing a better suit than your own.",
  "48. The bigger the smile, the sharper the knife.",
  "52. Never ask when you can take.",
  "57. Good customers are as rare as latinum -- treasure them.",
  "58. There is no substitute for success.",
  "59. Free advice is seldom cheap.",
  "60. Keep your lies consistent.",
  "62. The riskier the road, the greater the profit.",
  "65. Win or lose, there's always Hyperian beetle snuff.",
  "75. Home is where the heart is ... but the stars are made of latinum.",
  "76. Every once in a while, declare peace. It confuses the hell out of your enemies.",
  "79. Beware of the Vulcan greed for knowledge.",
  "82. The flimsier the product, the higher the price.",
  "85. Never let the competition know what you're thinking.",
  "89. Ask not what your profits can do for you, but what you can do for your profits.",
  "94. Females and finances don't mix.",
  "97. Enough ... is never enough.",
  "99. Trust is the biggest liability of all.",
  "102. Nature decays, but latinum lasts forever.",
  "103. Sleep can interfere with profit.",
  "104. Faith moves mountains ... of inventory.",
  "106. There is no honour in poverty.",
  "109. Dignity and an empty sack is worth the sack.",
  "111. Treat people in your debt like family ... exploit them.",
  "112. Never have sex with the boss's sister.",
  "113. Always have sex with the boss.",
  "117. You can't free a fish from water.",
  "121. Everything is for sale, even friendship.",
  "123. Even a blind man can recognize the glow of latinum.",
  "139. Wives serve, brothers inherit.",
  "141. Only fools pay retail.",
  "144. There's nothing wrong with charity ... as long as it winds up in your pocket.",
  "162. Even in the worst of times someone turns a profit.",
  "177. Know your enemies ... but do business with them always.",
  "181. Not even dishonesty can tarnish the shine of profit.",
  "189. Let others keep their reputation. You keep their money.",
  "192. Never cheat a Klingon ... unless you're sure you can get away with it.",
  "194. It's always good business to know about new customers before they walk in the door.",
  "202. The justification for profit is profit.",
  "203. New customers are like razortoothed grubworms. They can be succulent, but sometimes they can bite back.",
  "211. Employees are rungs on the ladder of success. Don't hesitate to step on them.",
  "214. Never begin a negotiation on an empty stomach.",
  "218. Always know what you're buying.",
  "223. Beware the man who doesn't make time for <i.oo-mox</i..",
  "229. Latinum lasts longer than lust.",
  "236. You can't buy fate.",
  "239. Never be afraid to mislabel a product.",
  "242. More is good ... all is better.",
  "255. A wife is a luxury ... a smart accountant is a necessity.",
  "261. A wealthy man can afford anything except a conscience.",
  "263. Never allow doubt to tarnish your love of latinum.",
  "266. When in doubt, lie.",
  "284. Deep down everyone's a Ferengi.",
  "285. No good deed ever goes unpunished.",
);

print "Content-type: text/xml\n\n";

my $rss = new XML::RSS (version => '2.0');
$rss->channel(title => 'Rules of Acquisition');

my $quote = $quotes [ rand @quotes ];
# $quote =~ s/\d+\.\s+//;

$rss->add_item( title => $quote );

print $rss->as_string;
print "\n\n";
